Qt Reference Documentation

# Q3CanvasLine Class Reference

The Q3CanvasLine class provides a line on a Q3Canvas. More...

     #include <Q3CanvasLine>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits: Q3CanvasPolygonalItem.

- List of all members, including inherited members

## Public Functions

| Q3CanvasLine ( Q3Canvas * canvas )
| ~Q3CanvasLine ()
QPoint | endPoint () const
void | setPoints ( int xa, int ya, int xb, int yb )
QPoint | startPoint () const

## Reimplemented Public Functions

virtual void | moveBy ( double dx, double dy )
virtual int | rtti () const
virtual void | setPen ( QPen p )

- 9 public functions inherited from Q3CanvasPolygonalItem
- 34 public functions inherited from Q3CanvasItem

## Reimplemented Protected Functions

virtual Q3PointArray | areaPoints () const
virtual void | drawShape ( QPainter & p )

- 6 protected functions inherited from Q3CanvasPolygonalItem
- 1 protected function inherited from Q3CanvasItem

## Detailed Description

The Q3CanvasLine class provides a line on a Q3Canvas.

The line inherits functionality from Q3CanvasPolygonalItem, for example the setPen() function. The start and end points of the line are set with setPoints().

Like any other canvas item lines can be moved with Q3CanvasItem::move() and Q3CanvasItem::moveBy(), or by setting coordinates with Q3CanvasItem::setX(), Q3CanvasItem::setY() and Q3CanvasItem::setZ().

See also QtCanvas and Porting to Graphics View.

## Member Function Documentation

### Q3CanvasLine::Q3CanvasLine ( Q3Canvas * canvas )

Constructs a line from (0,0) to (0,0) on canvas.

See also setPoints().

### Q3CanvasLine::~Q3CanvasLine ()

Destroys the line.

### Q3PointArray Q3CanvasLine::areaPoints () const`[virtual protected]`

Reimplemented from Q3CanvasPolygonalItem::areaPoints().

Note that the area defined by the line is somewhat thicker than the line that is actually drawn.

### void Q3CanvasLine::drawShape ( QPainter & p )`[virtual protected]`

Reimplemented from Q3CanvasPolygonalItem::drawShape().

### QPoint Q3CanvasLine::endPoint () const

Returns the end point of the line.

See also setPoints() and startPoint().

### void Q3CanvasLine::moveBy ( double dx, double dy )`[virtual]`

Reimplemented from Q3CanvasItem::moveBy().

### int Q3CanvasLine::rtti () const`[virtual]`

Reimplemented from Q3CanvasItem::rtti().

Returns 7 (Q3CanvasItem::Rtti_Line).

See also Q3CanvasItem::rtti().

### void Q3CanvasLine::setPen ( QPen p )`[virtual]`

Reimplemented from Q3CanvasPolygonalItem::setPen().

### void Q3CanvasLine::setPoints ( int xa, int ya, int xb, int yb )

Sets the line's start point to (xa, ya) and its end point to (xb, yb).

### QPoint Q3CanvasLine::startPoint () const

Returns the start point of the line.

See also setPoints() and endPoint().